View Issue Details

IDProjectCategoryView StatusLast Update
11898Feature requests[All Projects] Survey editingpublic2017-09-22 11:13
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11898: Add 0/hidden for label/answer width : to hide it
Description

Sometimes, some user use arry with only one question, or multiple numeric with nslider with one question.
It can be interesting to have a "0" width => set 'hidden'

Additional Information

For "colulmns" : we can easily add "col-sm-0" with

.col-sm-0{display:none !important}

More tricky with array/ 1st coluln with to 0

Tagsanswers_html

Relationships

related to 11660 assignedDenisChenu Adding number of colmun in table of question class 

Activities

DenisChenu

DenisChenu

2016-11-13 18:41

developer   ~41868

I do a fork with this system : it can be in 3.X : new feature without breaking existant feature

DenisChenu

DenisChenu

2016-12-03 10:34

developer   ~42333

Last edited: 2016-12-03 10:34

View 2 revisions

@Mazi , @Tammo, @tpartner : did you think it can be a good idea ?

I think yes, but it's add a nes 'test' system : test if width is 0, if yes : add a class : hidden is OK out af table, in table : must use a different class (no padding, border different etc ...)

tammo

tammo

2016-12-03 11:10

partner   ~42336

Thank you for looking into this. But I cannot see the consequences of this. Denis, do you have an example in .lss?

DenisChenu

DenisChenu

2016-12-03 11:58

developer  

limesurvey_survey_wdth0.lss (18,552 bytes)
DenisChenu

DenisChenu

2016-12-03 12:00

developer  

DenisChenu

DenisChenu

2016-12-03 12:18

developer   ~42339

I can not really send a exemple for a new feature before make the feature ... but send the idea in lss and screen

DenisChenu

DenisChenu

2016-12-03 12:18

developer  

tammo

tammo

2016-12-03 13:17

partner   ~42342

Thanks for the images. Could this be done with an extra class in the question, forcing Javascript to kick in? That way the developer of the survey can keep control...

DenisChenu

DenisChenu

2016-12-03 13:39

developer   ~42343

Yes, it can be done with an extra css (and no js) BUT : we already have 2 settings for answer width.
Then : just add an 'hidden' system without any other css.

Actually : set 0 to answer widdth don't work. And we have a lot of forum topic about it.
Think set '0' to widht : admin user want (always) hide it visually

tammo

tammo

2016-12-03 13:54

partner   ~42344

OK, now I understand (I think...) and I agree with your proposal. ;-)

Mazi

Mazi

2016-12-05 11:23

partner   ~42362

An excellent suggestion!

DenisChenu

DenisChenu

2016-12-07 15:47

developer   ~42451

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21719

DenisChenu

DenisChenu

2016-12-07 15:48

developer   ~42452

Done for all question , except for 'multiple choice with comment' : reall not needed here : right ?

Sometimes : it's strange if an user use it (array by column ! )

Related Changesets

LimeSurvey: develop 4e8702f1

2016-12-07 15:45:10

DenisChenu

Details Diff
New feature 11898: Add 0/hidden for label/answer width : to hide it
Dev: todo : move all this class to classCore system ....
Affected Issues
11898
mod - application/config/packages.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File
mod - application/views/survey/questions/answer/arrays/10point/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/array/dropdown/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/array/no_dropdown/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/column/answer.php Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer.php Diff File
mod - application/views/survey/questions/answer/arrays/increasesamedecrease/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/arrays/yesnouncertain/rows/answer_row.php Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.php Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.php Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_inputtext.php Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_textarea.php Diff File

Issue History

Date Modified Username Field Change
2016-11-13 18:40 DenisChenu New Issue
2016-11-13 18:41 DenisChenu Note Added: 41868
2016-11-13 18:41 DenisChenu Tag Attached: answers_html
2016-11-14 11:07 DenisChenu Relationship added related to 11660
2016-12-03 10:34 DenisChenu Note Added: 42333
2016-12-03 10:34 DenisChenu Note Edited: 42333 View Revisions
2016-12-03 11:10 tammo Note Added: 42336
2016-12-03 11:56 DenisChenu Assigned To => DenisChenu
2016-12-03 11:56 DenisChenu Status new => assigned
2016-12-03 11:58 DenisChenu File Added: limesurvey_survey_wdth0.lss
2016-12-03 12:00 DenisChenu File Added: Capture du 2016-12-03 11-59-44.png
2016-12-03 12:18 DenisChenu Note Added: 42339
2016-12-03 12:18 DenisChenu File Added: Capture du 2016-12-03 12-00-49.png
2016-12-03 13:17 tammo Note Added: 42342
2016-12-03 13:39 DenisChenu Note Added: 42343
2016-12-03 13:54 tammo Note Added: 42344
2016-12-05 11:23 Mazi Note Added: 42362
2016-12-07 15:47 DenisChenu Changeset attached => LimeSurvey develop 4e8702f1
2016-12-07 15:47 DenisChenu Note Added: 42451
2016-12-07 15:47 DenisChenu Resolution open => fixed
2016-12-07 15:48 DenisChenu Status assigned => resolved
2016-12-07 15:48 DenisChenu Note Added: 42452
2017-09-22 11:13 c_schmitz Status resolved => closed
2017-09-22 11:13 c_schmitz Fixed in Version => 3.0
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing